Loading...
Searching...
No Matches
itk::ANNFixedRadiusTreeSearch< TListSample > Class Template Reference
Common » ANNwrap

`#include <itkANNFixedRadiusTreeSearch.h>`

## Detailed Description

template<class TListSample>
class itk::ANNFixedRadiusTreeSearch< TListSample >

Definition at line 36 of file itkANNFixedRadiusTreeSearch.h.

Inheritance diagram for itk::ANNFixedRadiusTreeSearch< TListSample >:
[legend]

## Public Types

using | ANNDistanceArrayType
using | ANNDistanceType
using | ANNIndexArrayType
using | ANNIndexType
using | ANNPointType
using | BinaryANNTreeType
using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = ANNFixedRadiusTreeSearch
using | Superclass = BinaryANNTreeSearchBase<TListSample>
Public Types inherited from itk::BinaryANNTreeSearchBase< TListSample >
using | ANNDistanceArrayType = ANNdistArray
using | ANNDistanceType = ANNdist
using | ANNIndexArrayType = ANNidxArray
using | ANNIndexType = ANNidx
using | ANNPointType = ANNpoint
using | BinaryANNTreeType = BinaryANNTreeBase<ListSampleType>
using | BinaryTreePointer
using | BinaryTreeType
using | ConstPointer = SmartPointer<const Self>
using | DistanceArrayType
using | IndexArrayType
using | ListSampleType
using | MeasurementVectorType
using | Pointer = SmartPointer<Self>
using | Self = BinaryANNTreeSearchBase
using | Superclass = BinaryTreeSearchBase<TListSample>
Public Types inherited from itk::BinaryTreeSearchBase< TListSample >
using | BinaryTreePointer = typename BinaryTreeType::Pointer
using | BinaryTreeType = BinaryTreeBase<ListSampleType>
using | ConstPointer = SmartPointer<const Self>
using | DistanceArrayType = Array<double>
using | IndexArrayType = Array<int>
using | ListSampleType = TListSample
using | MeasurementVectorType = typename BinaryTreeType::MeasurementVectorType
using | Pointer = SmartPointer<Self>
using | Self = BinaryTreeSearchBase
using | Superclass = Object

## Public Member Functions

virtual const char * | GetClassName () const
virtual double | GetErrorBound () const
virtual double | GetSquaredRadius () const
| ITK_DISALLOW_COPY_AND_MOVE (ANNFixedRadiusTreeSearch)
void | Search (const MeasurementVectorType &qp, IndexArrayType &ind, DistanceArrayType &dists) override
virtual void | Search (const MeasurementVectorType &qp, IndexArrayType &ind, DistanceArrayType &dists, double sqRad)
virtual void | SetErrorBound (double _arg)
virtual void | SetSquaredRadius (double _arg)
Public Member Functions inherited from itk::BinaryANNTreeSearchBase< TListSample >
| ITK_DISALLOW_COPY_AND_MOVE (BinaryANNTreeSearchBase)
void | SetBinaryTree (BinaryTreeType *tree) override
Public Member Functions inherited from itk::BinaryTreeSearchBase< TListSample >
const BinaryTreeType * | GetBinaryTree () const
virtual unsigned int | GetKNearestNeighbors () const
| ITK_DISALLOW_COPY_AND_MOVE (BinaryTreeSearchBase)
virtual void | SetKNearestNeighbors (unsigned int _arg)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| ANNFixedRadiusTreeSearch ()
| ~ANNFixedRadiusTreeSearch () override=default
Protected Member Functions inherited from itk::BinaryANNTreeSearchBase< TListSample >
| BinaryANNTreeSearchBase ()
| ~BinaryANNTreeSearchBase () override=default
Protected Member Functions inherited from itk::BinaryTreeSearchBase< TListSample >
| BinaryTreeSearchBase ()
| ~BinaryTreeSearchBase () override=default

## Protected Attributes

double | m_ErrorBound {}
double | m_SquaredRadius {}
Protected Attributes inherited from itk::BinaryANNTreeSearchBase< TListSample >
BinaryANNTreeType::Pointer | m_BinaryTreeAsITKANNType {}
Protected Attributes inherited from itk::BinaryTreeSearchBase< TListSample >
BinaryTreePointer | m_BinaryTree {}
unsigned int | m_DataDimension {}
unsigned int | m_KNearestNeighbors {}

## Member Typedef Documentation

## ANNDistanceArrayType

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::ANNDistanceArrayType

Definition at line 65 of file itkBinaryANNTreeSearchBase.h.

## ANNDistanceType

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::ANNDistanceType

Definition at line 64 of file itkBinaryANNTreeSearchBase.h.

## ANNIndexArrayType

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::ANNIndexArrayType

Definition at line 63 of file itkBinaryANNTreeSearchBase.h.

## ANNIndexType

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::ANNIndexType

Definition at line 62 of file itkBinaryANNTreeSearchBase.h.

## ANNPointType

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::ANNPointType

Typedefs from ANN.

Definition at line 61 of file itkBinaryANNTreeSearchBase.h.

## BinaryANNTreeType

template<class TListSample>

using itk::BinaryANNTreeSearchBase< TListSample >::BinaryANNTreeType

An itk ANN tree.

Definition at line 68 of file itkBinaryANNTreeSearchBase.h.

## ConstPointer

template<class TListSample>

using itk::ANNFixedRadiusTreeSearch< TListSample >::ConstPointer = SmartPointer<const Self>

Definition at line 45 of file itkANNFixedRadiusTreeSearch.h.

## Pointer

template<class TListSample>

using itk::ANNFixedRadiusTreeSearch< TListSample >::Pointer = SmartPointer<Self>

Definition at line 44 of file itkANNFixedRadiusTreeSearch.h.

## Self

template<class TListSample>

using itk::ANNFixedRadiusTreeSearch< TListSample >::Self = ANNFixedRadiusTreeSearch

Standard itk.

Definition at line 42 of file itkANNFixedRadiusTreeSearch.h.

## Superclass

template<class TListSample>

using itk::ANNFixedRadiusTreeSearch< TListSample >::Superclass = BinaryANNTreeSearchBase<TListSample>

Definition at line 43 of file itkANNFixedRadiusTreeSearch.h.

## Constructor & Destructor Documentation

## ANNFixedRadiusTreeSearch()

template<class TListSample>

itk::ANNFixedRadiusTreeSearch< TListSample >::ANNFixedRadiusTreeSearch | ( |  | ) |

protected

## ~ANNFixedRadiusTreeSearch()

template<class TListSample>

itk::ANNFixedRadiusTreeSearch< TListSample >::~ANNFixedRadiusTreeSearch | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<class TListSample>

virtual const char * itk::ANNFixedRadiusTreeSearch< TListSample >::GetClassName | ( |  | ) | const

virtual

ITK type info.

Reimplemented from itk::BinaryANNTreeSearchBase< TListSample >.

## GetErrorBound()

template<class TListSample>

virtual double itk::ANNFixedRadiusTreeSearch< TListSample >::GetErrorBound | ( |  | ) | const

virtual

## GetSquaredRadius()

template<class TListSample>

virtual double itk::ANNFixedRadiusTreeSearch< TListSample >::GetSquaredRadius | ( |  | ) | const

virtual

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TListSample>

itk::ANNFixedRadiusTreeSearch< TListSample >::ITK_DISALLOW_COPY_AND_MOVE | ( | ANNFixedRadiusTreeSearch< TListSample > |  | ) |

## New()

template<class TListSample>

Pointer itk::ANNFixedRadiusTreeSearch< TListSample >::New | ( |  | ) |

static

New method for creating an object using a factory.

## Search() [1/2]

template<class TListSample>

void itk::ANNFixedRadiusTreeSearch< TListSample >::Search | ( | const MeasurementVectorType & | qp,
|  | IndexArrayType & | ind,
|  | DistanceArrayType & | dists )

override virtual

Search the nearest neighbours of a query point qp.

Implements itk::BinaryTreeSearchBase< TListSample >.

## Search() [2/2]

template<class TListSample>

virtual void itk::ANNFixedRadiusTreeSearch< TListSample >::Search | ( | const MeasurementVectorType & | qp,
|  | IndexArrayType & | ind,
|  | DistanceArrayType & | dists,
|  | double | sqRad )

virtual

Search the nearest neighbours of a query point qp.

## SetErrorBound()

template<class TListSample>

virtual void itk::ANNFixedRadiusTreeSearch< TListSample >::SetErrorBound | ( | double | _arg | ) |

virtual

Set and get the error bound eps.

## SetSquaredRadius()

template<class TListSample>

virtual void itk::ANNFixedRadiusTreeSearch< TListSample >::SetSquaredRadius | ( | double | _arg | ) |

virtual

Set and get the squared radius search bound.

## Field Documentation

## m_ErrorBound

template<class TListSample>

double itk::ANNFixedRadiusTreeSearch< TListSample >::m_ErrorBound {}

protected

Member variables.

Definition at line 89 of file itkANNFixedRadiusTreeSearch.h.

## m_SquaredRadius

template<class TListSample>

double itk::ANNFixedRadiusTreeSearch< TListSample >::m_SquaredRadius {}

protected

Definition at line 90 of file itkANNFixedRadiusTreeSearch.h.

Generated on 1768596610 for elastix by 1.15.0 |